<?php
/**
*
* minotar.net API 1.0.0
* @copyright (c) 2014 SiteSplat info@sitesplat.com
* @license http://sitesplat.com all rights reserved
*
*/

/**
* @ignore
*/
define('UMIL_AUTO', true);
define('IN_PHPBB', true);

$phpbb_root_path = (defined('PHPBB_ROOT_PATH')) ? PHPBB_ROOT_PATH : './';
$phpEx = substr(strrchr(__FILE__, '.'), 1);

include($phpbb_root_path . 'common.' . $phpEx);

$user->session_begin();
$auth->acl($user->data);
$user->setup();

if (!file_exists($phpbb_root_path . 'umil/umil_auto.' . $phpEx))
{
	trigger_error('Please download the latest UMIL (Unified MOD Install Library) from: <a href="http://www.phpbb.com/mods/umil/">phpBB.com/mods/umil</a>', E_USER_ERROR);
}

$mod_name = 'Minotar.net MOD';
$version_config_name = 'minotar_net_version';

$versions = array(

	'1.0.0'	=> array(

	'table_column_add' => array(
		array(USERS_TABLE, 'minotar_net', array('VCHAR:100', '')),
		array(USERS_TABLE, 'minotar_net_options', array('UINT', 0)),
	),

	'module_add' => array(
		array('acp', 'ACP_CAT_DOT_MODS', 'ACP_MINOTAR_NET'),
		array('acp', 'ACP_MINOTAR_NET', array(
			'module_basename'  => 'minotar_net',
			'modes'   => array('index'),
		)),
	),

	'config_add' => array(
		array('enable_minotar_net_registration', '1', '0'),
		array('force_minotar_net_option', '0', '0'),
	),

	'cache_purge' => array(
		'imageset',
		'template',
		'theme',
		'cache'
	),

	),

);

// Include the UMIF Auto file and everything else will be handled automatically.
include($phpbb_root_path . 'umil/umil_auto.' . $phpEx);

?>